package com.aucma.report.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.report.mapper.ReportPointDnbMapper;
import com.aucma.report.domain.ReportPointDnb;
import com.aucma.report.service.IReportPointDnbService;

/**
 * 电整点耗量报表Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-09
 */
@Service
public class ReportPointDnbServiceImpl implements IReportPointDnbService 
{
    @Autowired
    private ReportPointDnbMapper reportPointDnbMapper;

    /**
     * 查询电整点耗量报表
     * 
     * @param objId 电整点耗量报表主键
     * @return 电整点耗量报表
     */
    @Override
    public ReportPointDnb selectReportPointDnbByObjId(Long objId)
    {
        return reportPointDnbMapper.selectReportPointDnbByObjId(objId);
    }

    /**
     * 查询电整点耗量报表列表
     * 
     * @param reportPointDnb 电整点耗量报表
     * @return 电整点耗量报表
     */
    @Override
    public List<ReportPointDnb> selectReportPointDnbList(ReportPointDnb reportPointDnb)
    {
        return reportPointDnbMapper.selectReportPointDnbList(reportPointDnb);
    }

    /**
     * 新增电整点耗量报表
     * 
     * @param reportPointDnb 电整点耗量报表
     * @return 结果
     */
    @Override
    public int insertReportPointDnb(ReportPointDnb reportPointDnb)
    {
        return reportPointDnbMapper.insertReportPointDnb(reportPointDnb);
    }

    /**
     * 修改电整点耗量报表
     * 
     * @param reportPointDnb 电整点耗量报表
     * @return 结果
     */
    @Override
    public int updateReportPointDnb(ReportPointDnb reportPointDnb)
    {
        return reportPointDnbMapper.updateReportPointDnb(reportPointDnb);
    }

    /**
     * 批量删除电整点耗量报表
     * 
     * @param objIds 需要删除的电整点耗量报表主键
     * @return 结果
     */
    @Override
    public int deleteReportPointDnbByObjIds(Long[] objIds)
    {
        return reportPointDnbMapper.deleteReportPointDnbByObjIds(objIds);
    }

    /**
     * 删除电整点耗量报表信息
     * 
     * @param objId 电整点耗量报表主键
     * @return 结果
     */
    @Override
    public int deleteReportPointDnbByObjId(Long objId)
    {
        return reportPointDnbMapper.deleteReportPointDnbByObjId(objId);
    }
}
